# List credentialing requests Returns credentialing requests Endpoint: GET /credentialing-requests Version: 26.2.0.4309 Security: Bearer ## Query parameters: - `entityType` (string) Indicates whether to retrieve credentialing requests for providers or facilities. Defaults to Providers. Enum: "Provider", "Facility" - `currentEventStatus` (array) If set, the items will be filtered by the specified current event status. Enum: "RequestSubmitted", "RequestInProgress", "AdditionalInformationRequested", "AdditionalInformationSubmitted", "CancellationRequested", "Cancelled", "Completed", "CompletedWithConcern", "UnableToComplete", "SecondAttemptMissingInfo", "ThirdAttemptMissingInfo" - `providerCredentialingStatus` (array) If set, the items will be filtered by the specified provider credentialing status. Has no effect when querying facilities. - `priority` (array) If set, the items will be filtered by the specified priority. Enum: "Low", "Medium", "High", "Urgent" - `ownerId` (array) If set, the items will be filtered by the specified owner. - `includeUnassigned` (boolean) If set, the items will include credentialing requests that are not assigned to any specified owner. Intended to be used together with ownerId. - `credentialingRequestType` (string) If set, the items will be filtered by the specified credentialing request type. Enum: "Initial", "ReCredentialing", "OffCycle" - `entityId` (string) If set, the items will be filtered by the specified entity identifier (providerId or facilityId). - `entityName` (string) If set, the items will be filtered by the specified entity name (provider name/alias or facility name). - `entityNpi` (integer) If set, the items will be filtered by the specified entity NPI number. - `entityDeactivated` (boolean) If set, the items will be filtered by the specified entity deactivated status. - `facilitySpecialtyId` (string) If set, the items will be filtered by the specified specialty. - `sortedBy` (string) The property by which the returned data will be sorted. Enum: "Id", "CreatedAt", "Priority", "CurrentEventStatus", "CurrentEventDate", "ProviderId", "ProviderFirstName", "ProviderLastName", "ProviderCredentialingStatus", "FacilityId", "FacilityName" - `sort` (object) If set, the properties and directions the returned data will be sorted by. - `cursor` (string) The cursor to render the page requested. To load the first page send an empty cursor, then the system will generate the cursors to go to the next and/or previous pages automatically. - `count` (integer) The number of items to include in a single page. - `sortDirection` (string) The direction the returned data will be sorted by. Enum: "Asc", "Desc" - `providerId` (string) See entityId. - `providerName` (string) See entityName. - `providerNpi` (integer) See entityNpi. - `providerDeactivated` (boolean) See entityDeactivated. - `offset` (integer) The offset for the page to start. ## Response 200 fields (application/json): - `sort` (object) The properties and directions the data is sorted by. Example: {"Id":"Asc","CreatedAt":"Desc","Priority":"Asc"} - `sort.Keys` (string) Enum: "Id", "CreatedAt", "Priority", "CurrentEventStatus", "CurrentEventDate", "ProviderId", "ProviderFirstName", "ProviderLastName", "ProviderCredentialingStatus", "FacilityId", "FacilityName" - `sort.Values` (string) Enum: "Asc", "Desc" - `previousCursor` (string) The value to use for cursor to get to the previous paginated page. null will be returned if it's the first page. Example: "string" - `nextCursor` (string) The value to use for cursor to get to the next paginated page. null will be returned if it's the last page. Example: "string" - `pageSize` (integer) The maximum number of items included in this page. - `count` (integer) The number of items in this page. - `totalCount` (integer) The total number of items in all pages combined. - `items` (array) The entries in the current page. Example: [{"id":"497f6eca-6276-4993-bfeb-53cbbbba6f08","provider":{"id":"497f6eca-6276-4993-bfeb-53cbbbba6f08","firstName":"string","lastName":"string","dateOfBirth":"2019-08-24T14:15:22.0000000Z","ssn":"***","credentialingStatus":"string","credentialedDate":"2019-08-24T14:15:22.0000000Z","npi":0},"type":"Initial","createdAt":"2019-08-24T14:15:22.0000000Z","currentEvent":{"id":"497f6eca-6276-4993-bfeb-53cbbbba6f08","description":"string","note":"string","timestamp":"2019-08-24T14:15:22.0000000Z","status":"RequestSubmitted","attachments":[{"path":"string","type":"CredentialingPacket"}],"user":{"id":"497f6eca-6276-4993-bfeb-53cbbbba6f08","email":"string"}},"allEvents":[{"id":"497f6eca-6276-4993-bfeb-53cbbbba6f08","description":"string","note":"string","timestamp":"2019-08-24T14:15:22.0000000Z","status":"RequestSubmitted","attachments":[{"path":"string","type":"CredentialingPacket"}],"user":{"id":"497f6eca-6276-4993-bfeb-53cbbbba6f08","email":"string"}}],"priority":"Low","isSelfManaged":true}] - `items.type` (string) The type of credentialing request. Enum: "Initial", "ReCredentialing", "OffCycle" - `items.id` (string) Unique identifier of the credentialing request. Example: "497f6eca-6276-4993-bfeb-53cbbbba6f08" - `items.provider` (object) - `items.provider.id` (string) Unique identifier associated with this provider. - `items.provider.firstName` (string, required) The first (given) name associated with this provider. - `items.provider.lastName` (string, required) The last (family) name associated with this provider. - `items.provider.dateOfBirth` (string) The date of birth of this provider. - `items.provider.ssn` (string) The social security number of this provider. - `items.provider.credentialingStatus` (string, required) The name of credentialing status. The default value is 'Data Collection'. - `items.provider.credentialedDate` (string) Date this provider was originally credentialed - `items.provider.nextCredentialingDate` (string) Date this provider should be credentialed next - `items.provider.npi` (integer) The 10 digit National Provider Identifiers (NPI) of this provider. - `items.provider.deactivated` (boolean) If set, the provider is deactivated. Verifications and profile imports can't be triggered for the inactive provider. - `items.provider.deactivatedAt` (string) - `items.provider.aliases` (array) A list of aliases that this provider is also known by. - `items.provider.aliases.firstName` (string) The first (given) name of this alias. - `items.provider.aliases.lastName` (string) The last (family) name of this alias. - `items.provider.aliases.id` (string) Unique identifier for this alias. - `items.provider.primaryPracticeState` (string) The primary practice state of the provider. Enum: "AL", "AK", "AZ", "AR", "CA", "CO", "CT", "DE", "DC", "FL", "GA", "HI", "ID", "IL", "IN", "IA", "KS", "KY", "LA", "ME", "MD", "MA", "MI", "MN", "MS", "MO", "MT", "NE", "NV", "NH", "NJ", "NM", "NY", "NC", "ND", "OH", "OK", "OR", "PA", "RI", "SC", "SD", "TN", "TX", "UT", "VT", "VA", "WA", "WV", "WI", "WY", "AS", "GU", "MP", "PR", "VI" - `items.provider.additionalPracticeStates` (array) Additional practice states of the provider. Cannot include the primary practice state. Enum: "AL", "AK", "AZ", "AR", "CA", "CO", "CT", "DE", "DC", "FL", "GA", "HI", "ID", "IL", "IN", "IA", "KS", "KY", "LA", "ME", "MD", "MA", "MI", "MN", "MS", "MO", "MT", "NE", "NV", "NH", "NJ", "NM", "NY", "NC", "ND", "OH", "OK", "OR", "PA", "RI", "SC", "SD", "TN", "TX", "UT", "VT", "VA", "WA", "WV", "WI", "WY", "AS", "GU", "MP", "PR", "VI" - `items.provider.gender` (string) Provider's gender (optional). Enum: "Unknown", "Male", "Female", "NonBinaryOrThirdGender", "Other", "PreferNotToSay" - `items.provider.ethnicity` (array) Provider's ethnicity (optional). Enum: "AmericanIndianOrAlaskaNative", "Asian", "BlackOrAfricanAmerican", "HispanicOrLatino", "NativeHawaiianOrOtherPacificIslander", "White", "PreferNotToSay", "NoInformationToAnswer" - `items.provider.addresses` (array) If set, the provider's addresses will be updated with this value. To remove the addresses pass an empty array. - `items.provider.addresses.state` (string, required) Abbreviation of the state in which the city is located. Enum: "AL", "AK", "AZ", "AR", "CA", "CO", "CT", "DE", "DC", "FL", "GA", "HI", "ID", "IL", "IN", "IA", "KS", "KY", "LA", "ME", "MD", "MA", "MI", "MN", "MS", "MO", "MT", "NE", "NV", "NH", "NJ", "NM", "NY", "NC", "ND", "OH", "OK", "OR", "PA", "RI", "SC", "SD", "TN", "TX", "UT", "VT", "VA", "WA", "WV", "WI", "WY", "AS", "GU", "MP", "PR", "VI" - `items.provider.addresses.zipCode` (string, required) The postal code associated with the address. - `items.provider.addresses.city` (string, required) The city in which the address is located. - `items.provider.addresses.addressLine1` (string, required) The street address. - `items.provider.addresses.addressLine2` (string) The secondary address information. - `items.provider.addresses.type` (string) The type of address. Enum: "Unspecified", "Home", "Work" - `items.provider.addresses.id` (string) Unique identifier for this address. - `items.provider.emails` (array) If set, the provider's emails will be updated with this value. To remove the emails pass an empty array. - `items.provider.emails.email` (string) The email associated with the provider. - `items.provider.emails.type` (string) The type of the email. Enum: "Unspecified", "Personal", "Work" - `items.provider.emails.id` (string) Unique identifier for this specific email. - `items.provider.phone` (string) Primary phone number associated with this provider - `items.provider.languages` (array) A list of languages, other than English, this provider speaks. - `items.provider.recredentialedDates` (array) A list of dates when this provider was re-credentialed. - `items.provider.providerType` (object) - `items.provider.providerType.id` (string) Unique identifier associated with this provider type. - `items.provider.providerType.name` (string) Associated provider type name. - `items.provider.segment` (object) Example: {"id":"3516a6ba-c998-4bfb-9017-322f8cf63674","name":"acme-corp"} - `items.provider.segment.id` (string) Unique identifier of the segment. Example: "3516a6ba-c998-4bfb-9017-322f8cf63674" - `items.provider.segment.name` (string) Name of the segment. Used for multi-tenant organizations for billing, configuration, and tracking purposes. Example: "acme-corp" - `items.provider.createdAt` (string) Timestamp when this provider was created. - `items.facility` (object) - `items.facility.id` (string) - `items.facility.name` (string) The name of this facility. - `items.facility.createdAt` (string) Timestamp when this facility was created. - `items.facility.deactivated` (boolean) If set, the facility is deactivated. - `items.facility.parentFacilityId` (string) - `items.facility.dba` (string) The DBA of this facility. - `items.facility.addressLine1` (string) The street address of this facility. - `items.facility.addressLine2` (string) The secondary address information of this facility. - `items.facility.city` (string) The city in which the facility address is located. - `items.facility.state` (string) The state in which the facility address is located. Enum: "AL", "AK", "AZ", "AR", "CA", "CO", "CT", "DE", "DC", "FL", "GA", "HI", "ID", "IL", "IN", "IA", "KS", "KY", "LA", "ME", "MD", "MA", "MI", "MN", "MS", "MO", "MT", "NE", "NV", "NH", "NJ", "NM", "NY", "NC", "ND", "OH", "OK", "OR", "PA", "RI", "SC", "SD", "TN", "TX", "UT", "VT", "VA", "WA", "WV", "WI", "WY", "AS", "GU", "MP", "PR", "VI" - `items.facility.zipCode` (string) The postal code associated with the facility address. - `items.facility.phoneNumber` (string) Phone number associated with the facility. - `items.facility.faxNumber` (string) Fax number associated with the facility. - `items.facility.groupTaxId` (string) The group tax id associated with the facility. - `items.facility.facilityTaxId` (string) The tax id associated with the facility. - `items.facility.contactName` (string) The contact name associated with the facility. - `items.facility.contactEmail` (string) The contact email associated with the facility. - `items.facility.medicarePartANumber` (string) - `items.facility.medicarePartBNumber` (string) - `items.facility.medicaidNumber` (string) - `items.createdAt` (string) The timestamp when this credentialing request was created. Example: "2019-08-24T14:15:22.0000000Z" - `items.currentEvent` (object) - `items.currentEvent.id` (string) The unique identifier of this credentialing request event. - `items.currentEvent.description` (string) The description of this credentialing request event. - `items.currentEvent.note` (string) The note of this credentialing request event. - `items.currentEvent.timestamp` (string) The timestamp when this credentialing request event was created. - `items.currentEvent.status` (string) The status of this credentialing request event. Only the following statuses are available for self-managed requests: "RequestInProgress", "Cancelled" and "Completed". Enum: "RequestSubmitted", "RequestInProgress", "AdditionalInformationRequested", "AdditionalInformationSubmitted", "CancellationRequested", "Cancelled", "Completed", "CompletedWithConcern", "UnableToComplete", "SecondAttemptMissingInfo", "ThirdAttemptMissingInfo" - `items.currentEvent.attachments` (array) Files attached to this credentialing request event. - `items.currentEvent.attachments.path` (string) The path to the file. - `items.currentEvent.attachments.type` (string) The type of the attachment. Enum: "CredentialingPacket" - `items.currentEvent.user` (object) - `items.currentEvent.user.id` (string) The unique identifier of this user. - `items.currentEvent.user.email` (string) The email of this user. - `items.allEvents` (array) All events associated with this credentialing request. Example: [{}] - `items.priority` (string) The priority of credentialing request. Enum: "Low", "Medium", "High", "Urgent" - `items.isSelfManaged` (boolean) If the flag is set, this is a self-managed credentialing request. Example: true - `items.checklist` (object) - `items.checklist.id` (string) The unique identifier of this credentialing request checklist. - `items.checklist.requestId` (string) The credentialing request unique identifier to which this checklist is bound. - `items.checklist.notes` (string) The notes if any of this credentialing request checklist. - `items.checklist.items` (array) An array of the items with references and details of this credentialing request checklist. - `items.checklist.items.id` (string) The unique identifier of this credentialing request checklist item. - `items.checklist.items.name` (string) The name of this credentialing request checklist item. - `items.checklist.items.confirmedAt` (string) The timestamp at which this credentialing request checklist item was confirmed at. - `items.checklist.items.confirmedBy` (string) The name of the user/entity that confirmed this credentialing request checklist item. - `items.checklist.items.verifiedAt` (string) The timestamp at which this credentialing request checklist item was verified at. - `items.checklist.items.status` (string) The status of this credentialing request checklist item. - `items.checklist.items.source` (string) The source of this credentialing request checklist item. - `items.checklist.items.references` (object) - `items.checklist.items.references.providerInfo` (array) If set, array with pairs of provider information ids and provider information types linked to the provider of the credentialing request. - `items.checklist.items.references.providerInfo.providerInfoId` (string) Unique identifier of the provider info, this id must be linked to the provider of the credentialing request. - `items.checklist.items.references.providerInfo.providerInfoType` (string) Types of provider info supported. Enum: "BasicInfo", "Caqh", "LiabilityInsurance", "Education", "Training", "WorkHistory", "DeaRegistrations", "Licenses", "BoardCertifications", "Certificates", "MedicaidEnrollment" - `items.checklist.items.references.facilityInfo` (array) If set, array with sets of facility info ids and facility info types that are linked to the credentialing request. - `items.checklist.items.references.facilityInfo.facilityInfoId` (string) Unique identifier of the facility info. This info must be linked to one or more specialties on the credentialing request. - `items.checklist.items.references.facilityInfo.facilityInfoType` (string) Type of facility info. Enum: "Npi", "Dea", "LiabilityInsurance", "License", "Accreditation", "CmsCertification", "MedicareEnrollment" - `items.checklist.items.references.licenseVerifications` (array) If set, array with pairs of license ids and license verifications ids linked to the provider of the credentialing request. - `items.checklist.items.references.licenseVerifications.licenseId` (string) Unique identifier of the license id, this id must be linked to the provider of the credentialing request. - `items.checklist.items.references.licenseVerifications.licenseVerificationId` (string) Unique identifier of the license verification id, this id must be linked to the license id. - `items.checklist.items.references.datasetScans` (array) If set, array with dataset scan ids linked to the provider of the credentialing request. - `items.checklist.items.references.datasetScans.datasetScanId` (string) Unique identifier of the dataset scan id, this id must be linked to the provider of the credentialing request. - `items.checklist.items.references.files` (array) If set, array with file paths linked to the provider of the credentialing request. - `items.checklist.items.references.files.filePath` (string) File path to a provider file, this path must be linked to the provider of the credentialing request. - `items.checklist.items.references.profiles` (array) If set, array with profiles linked to the provider of the credentialing request. - `items.checklist.items.references.profiles.profileId` (string) Unique identifier of the provider profile id, this id must be linked to the provider of the credentialing request. - `items.checklist.items.references.facilitySpecialties` (array) If set, array with facility specialty ids that this credentialing request item applies to. - `items.checklist.items.references.facilitySpecialties.facilitySpecialtyId` (string) Unique identifier of the facility specialty. - `items.checklist.details` (object) - `items.checklist.details.organization` (string) The organization of this credentialing request checklist. - `items.checklist.details.providerType` (string) The type of provider of this credentialing request checklist. - `items.checklist.details.providerName` (string) The name of the provider of this credentialing request checklist. - `items.checklist.details.started` (string) The timestamp at which this credentialing request checklist was started at. - `items.checklist.details.completed` (string) The timestamp at which this credentialing request checklist was completed at. - `items.owner` (object) - `items.owner.firstName` (string) The firstname of this user. - `items.owner.lastName` (string) The lastname of this user. - `items.facilitySpecialties` (array) Facility specialties with taxonomies associated with this credentialing request. Example: [{"id":"497f6eca-6276-4993-bfeb-53cbbbba6f08","facilityId":"1cbb0c1f-62a0-4181-a6d1-b7fbd4caf705","taxonomyId":"47df2c82-a3a8-4cb4-8009-22a827579066"}] - `items.facilitySpecialties.id` (string) The unique identifier of this specialty. - `items.facilitySpecialties.facilityId` (string) The facility unique identifier related to this specialty. - `items.facilitySpecialties.taxonomyId` (string) The taxonomy unique identifier related to this specialty. - `items.facilitySpecialties.credentialedDate` (string) - `items.facilitySpecialties.nextCredentialingDate` (string) - `items.facilitySpecialties.recredentialedDates` (array) - `items.facilitySpecialtyIds` (array) Facility specialties associated with this credentialing request. Example: ["497f6eca-6276-4993-bfeb-53cbbbba6f08"] - `sortedBy` (string) The property by which the data is sorted. Enum: "Id", "CreatedAt", "Priority", "CurrentEventStatus", "CurrentEventDate", "ProviderId", "ProviderFirstName", "ProviderLastName", "ProviderCredentialingStatus", "FacilityId", "FacilityName" - `sortDirection` (string) The direction in which the data is sorted. Enum: "Asc", "Desc" - `nextOffset` (integer) The value to use for offset to get the next page following the current page or null if this page is the last. ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 500 fields